org.bdgenomics.adam.rdd

# OutFormatter

###
Related Doc: package rdd

#### trait OutFormatter[T] extends Serializable

Deserializes data coming out of a pipe from an invoked process.

T

  The type of records being formatted.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
AnySAMOutFormatter, BEDOutFormatter, GFF3OutFormatter, GTFOutFormatter, NarrowPeakOutFormatter, VCFOutFormatter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OutFormatter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def read(is: InputStream): Iterator[T]

   Reads an iterator of records from an input stream.

   Reads an iterator of records from an input stream.

   is

     The input stream coming from a process to read records from.

   returns

     Returns an iterator of records that have been read from this stream.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped